Bug 1953127 - NetworkPolicy tests were mistakenly marked skipped
Summary: NetworkPolicy tests were mistakenly marked skipped
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.9.0
Assignee: Dan Winship
QA Contact: zhaozhanqi
URL:
Whiteboard:
: 1962950 (view as bug list)
Depends On:
Blocks: 1973667
TreeView+ depends on / blocked
 
Reported: 2021-04-24 00:57 UTC by Dan Winship
Modified: 2021-10-18 17:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1973667 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:30:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 655 0 None closed Bug 1953127: Re-enable [Feature:NetworkPolicy] tests which were wrongly disabled in rebase 2021-06-05 01:08:10 UTC
Github openshift kubernetes pull 770 0 None closed Bug 1953127: UPSTREAM: <drop>: work around broken NetPol DNS rules 2021-06-05 01:08:03 UTC
Github openshift origin pull 26231 0 None closed Bug 1953127: undisable NetworkPolicy tests 2021-06-23 12:15:49 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:30:30 UTC

Description Dan Winship 2021-04-24 00:57:25 UTC
The NetworkPolicy tests were mistakenly set to be skipped after the 1.21 rebase

Comment 2 zhaozhanqi 2021-04-28 13:07:25 UTC
seems there are some network policy cases failed in ovn cluster, see https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-aws-ovn-4.8/1387209922613088256

Comment 3 Dan Winship 2021-04-28 13:23:41 UTC
(In reply to zhaozhanqi from comment #2)
> seems there are some network policy cases failed in ovn cluster, see
> https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-
> ocp-installer-e2e-aws-ovn-4.8/1387209922613088256

There is a lot of flakiness in the ovn jobs lately, but anyway, those failures are definitely not related, since origin hasn't been rebased to the new openshift/kubernetes yet... We'll need another PR for that.

Comment 4 Dan Winship 2021-05-20 13:34:40 UTC
Still waiting on an origin rebase, which someone else already started to get a different fix

Comment 5 Dan Winship 2021-05-25 12:10:31 UTC
*** Bug 1962950 has been marked as a duplicate of this bug. ***

Comment 6 Dan Winship 2021-05-25 12:13:46 UTC
origin #26168 merged but they re-disabled the NetworkPolicy tests because they were failing on metal-ipv6.
(Someone mentioned this on Slack but I missed it.)

Comment 8 Dan Winship 2021-06-03 15:10:01 UTC
needs to be rebased into origin

Comment 9 Dan Winship 2021-06-07 15:10:53 UTC
(In reply to Dan Winship from comment #8)
> needs to be rebased into origin

happened via another PR

Comment 10 zhaozhanqi 2021-06-08 07:01:55 UTC
Move this bug to 'verified'

Comment 11 Stephen Benjamin 2021-06-14 22:13:32 UTC
These still look skipped?

https://github.com/openshift/origin/blob/master/test/extended/util/annotate/rules.go#L32

Comment 12 Stephen Benjamin 2021-06-14 22:14:37 UTC
Wrong line number in my first link: https://github.com/openshift/origin/blob/master/test/extended/util/annotate/rules.go#L66-L69

`\[Feature:NetworkPolicy\]` is listed unconditionally in the Disabled test list.

Comment 13 Dan Winship 2021-06-15 12:55:10 UTC
oh, duh, the other PR included the fix from o/k that makes it _possible_ to un-disable the tests, but it didn't actually un-disable them

Comment 18 errata-xmlrpc 2021-10-18 17:30:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.